/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-17
 * 描述            ：水电费用分配表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmCostDstWeMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_COST_DST_WE", namespace=CmCostDstWeMapper.class)
public class CmCostDstWe extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -1033241565270353449L;
	/** 
	 * null
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * null
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * null
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * null
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double consume_value;
	public Double getConsume_value() {
		return this.consume_value;
	}
	public void setConsume_value(Double consume_value) {
		this.consume_value = consume_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double rate_value;
	public Double getRate_value() {
		return this.rate_value;
	}
	public void setRate_value(Double rate_value) {
		this.rate_value = rate_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double amount_value;
	public Double getAmount_value() {
		return this.amount_value;
	}
	public void setAmount_value(Double amount_value) {
		this.amount_value = amount_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private String msr_unit;
	public String getMsr_unit() {
		return this.msr_unit;
	}
	public void setMsr_unit(String msr_unit) {
		this.msr_unit = msr_unit;
	}

	/** 
	 * null
	 */ 
	@Column
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * null
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * null
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * null
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * null
	 */ 
	@Column
	private String dst_item_code;
	public String getDst_item_code() {
		return this.dst_item_code;
	}
	public void setDst_item_code(String dst_item_code) {
		this.dst_item_code = dst_item_code;
	}

	/** 
	 * null
	 */ 
	@Column
	private String dst_item_name;
	public String getDst_item_name() {
		return this.dst_item_name;
	}
	public void setDst_item_name(String dst_item_name) {
		this.dst_item_name = dst_item_name;
	}

	/** 
	 * null
	 */ 
	@Column
	private String dst_item_code_f;
	public String getDst_item_code_f() {
		return this.dst_item_code_f;
	}
	public void setDst_item_code_f(String dst_item_code_f) {
		this.dst_item_code_f = dst_item_code_f;
	}

	/** 
	 * null
	 */ 
	@Column
	private Double amount_all;
	public Double getAmount_all() {
		return this.amount_all;
	}
	public void setAmount_all(Double amount_all) {
		this.amount_all = amount_all;
	}

}
